This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 794980 - (zanshin) Review Request: zanshin - Todo/action management software
Review Request: zanshin - Todo/action management software
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-02-18 08:55 EST by Christoph Wickert
Modified: 2012-03-01 04:36 EST (History)
4 users (show)

See Also:
Fixed In Version: zanshin-0.2.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-28 05:39:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2012-02-18 08:55:41 EST
Spec URL: http://cwickert.fedorapeople.org/review/zanshin.spec
SRPM URL: http://cwickert.fedorapeople.org/review/zanshin-0.2.1-1.fc18.src.rpm
Description: Zanshin Todo is a powerful yet simple application for managing your day to day actions. It helps you organize and reduce the cognitive pressure of what one has to do in his job and personal life. You'll never forget anything anymore, getting your mind like water.
Comment 1 Christoph Wickert 2012-02-18 08:56:21 EST
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3800955
Comment 2 Rex Dieter 2012-02-18 09:40:43 EST
I'll try to take a look soon.
Comment 3 Rex Dieter 2012-02-19 05:00:07 EST
$ rpmlint zanshin zanshin-debuginfo
zanshin.x86_64: W: spelling-error Summary(en_US) Todo -> Tod, Toto, Todd
zanshin.x86_64: W: no-manual-page-for-binary zanshin
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Sources verified ok:
$ md5sum *.bz2
e8c920f07374cb08200f990ef592938c  zanshin-0.2.1.tar.bz2
17aba8cc59971622183cce67a74597b9  zanshin-lang.tar.bz2

Naming: ok

1.  SHOULD.  You have several dependencies listed explicitly that are already pulled in implicitly by other stuff, you can drop
# kdelibs-devel already Requires: cmake
BuildRequires:  cmake
# kdelibs/kde-runtime already Requires oxygen-icon-theme
Requires:       oxygen-icon-theme

2.  SHOULD add a versioned runtime dep:
Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

3.  SHOULD.  macros/scriptlets mostly ok, but I'd recommend replacing all
%{_datadir}/icons
(use in scriptlets)
with
%{_kde4_iconsdir}

4.  SHOULD remove 
BuildRequires: intltool
as it's not needed or used as far as I can tell.

5.  MUST, looks like licensing is:

# KDE e.V. may determine that future GPL versions are accepted is
License: GPLv2

this is the convention (including the comment) we've been told by spot to use when sources include the phrase (as-is here):
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License or (at your option) version 3 or any later version
   accepted by the membership of KDE e.V. (or its successor approved
   by the membership of KDE e.V.), which shall act as a proxy
   defined in Section 14 of version 3 of the license.

note that there are also indeed several sources that are LGPLv2+, but they are combined and linked with the above, so the aggregate license really is GPLv2

6.  SHOULD use
%find_lang %{name} --with-kde
which will pick up any khelpcenter documentation handbook automatically if/when it's ever included.


The rest looks fairly straight-forward and simple.


APPROVED.

I'll leave it to you to at least adjust the licensing MUST prior to doing any official builds.  The should items are all optional, but recommended. :)
Comment 4 Christoph Wickert 2012-02-19 12:22:04 EST
Thanks for the careful review. I'll fix the issues you pointed out before I build the package.

New Package SCM Request
=======================
Package Name: zanshin
Short Description: Todo/action management software
Owners: cwickert rdieter jreznik kkofler
Branches: f15 f16 f17
InitialCC:
Comment 5 Jon Ciesla 2012-02-19 15:48:25 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-02-19 16:55:05 EST
zanshin-0.2.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zanshin-0.2.1-1.fc17
Comment 7 Fedora Update System 2012-02-19 17:04:36 EST
zanshin-0.2.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/zanshin-0.2.1-1.fc16
Comment 8 Fedora Update System 2012-02-19 17:15:17 EST
zanshin-0.2.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/zanshin-0.2.1-1.fc15
Comment 9 Fedora Update System 2012-02-19 21:15:21 EST
zanshin-0.2.1-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-02-28 05:39:56 EST
zanshin-0.2.1-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2012-03-01 04:32:10 EST
zanshin-0.2.1-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-03-01 04:36:11 EST
zanshin-0.2.1-1.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.